package com.sky.ioc.service.system;

import com.sky.ioc.tool.ReturnMsg;

public interface UserService {

    ReturnMsg updateCommonMenusByUserIdAndMenuId(long userId, String menuIDs);

    ReturnMsg login(String username, String password);

    ReturnMsg logout();

    ReturnMsg validate();

    ReturnMsg updatePassword(long userId,String oldPwd, String newPwd);

    ReturnMsg phoneLogin(String phone, String code);


    ReturnMsg getUserData();
}
